namespace Infrastructure.CloudSdk;

public class FileUploadCallbackEventReply<T>
{
    public string tid { get; set; }

    public string bid { get; set; }

    public long? timestamp { get; set; }
    public string gateway { get; set; }
    public string method { get; set; }
    public T data { get; set; }

    public override string ToString()
    {
        return $"CommonTopicRequest{{tid='{tid}', bid='{bid}', timestamp={timestamp}, data={data}}}";
    }

    public FileUploadCallbackEventReply<T> SetTid(string tid)
    {
        this.tid = tid;
        return this;
    }
}